
Foreman - Feature #3909

compute resources prevent or disassciate host from VM prevent vm deletion

12/18/2013 02:04 PM - Jelle B.

Status: Closed   

Priority: Normal   

Assignee:    

Category: VM management   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As discussed on IRC.

Create a solution where by a host in foreman can be deledet without deletion of the actuall virtual host when using compute

resources.

Chat log to clarify :

[14:14] <cyberkov> hmm. is it somehow possible to disable the deletion of a VM on the Compute Resource when deleting it from

Foreman?

[14:15] <karim> cyberkov, maybe unmanaging it first

[14:15] <Dominic> cyberkov: only be manually disassociating the compute_resource_id and uuid in the hosts table in the DB, you

can't through the UI

[14:17] <cyberkov> thanks :) Dominic: so unmanaging it (as karim meant) is not sufficient i guess?

[14:17] <Dominic> I don't think that works, I remember somebody saying reecntly it still deleted the VM..

Related issues:

Related to Foreman - Feature #4155: API for CR association and disassociation Closed 01/21/2014

Related to Foreman - Feature #2049: Allow removal of host when not found in V... Closed 12/14/2012

Related to Foreman - Feature #5464: Delete unamanged compute resource host wi... Duplicate 04/27/2014

Related to Foreman - Bug #5707: disassociate is highlighted for physical host Closed 05/13/2014

Has duplicate Foreman - Bug #3795: "Associate VM's" Doesn't Re-associate when... Closed

Has duplicate Foreman - Bug #4252: Correctly handle when VM is migrated betwe... Duplicate 02/04/2014

Associated revisions

Revision 9c0709db - 01/21/2014 05:04 PM - Jason Montleon 

fixes #3909 - add disassociate and bulk action disassociate to interface

History

#1 - 12/18/2013 02:05 PM - Dominic Cleal

- Category set to VM management

#2 - 01/17/2014 06:40 PM - Dominic Cleal

- Related to Bug #3795: "Associate VM's" Doesn't Re-associate when compute resource changes added

#3 - 01/19/2014 12:54 AM - Anonymous

https://github.com/theforeman/foreman/pull/1169/commits would allow for disassociating a vm from a host.

#4 - 01/20/2014 09:02 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.2

- Assignee set to Anonymous
#5 - 01/21/2014 05:25 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 01/21/2014 05:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9c0709dbf70de6652d68f0d91742799b8927c710.

#7 - 01/21/2014 08:38 PM - Dominic Cleal

- Related to Feature #4155: API for CR association and disassociation added

#8 - 01/22/2014 08:26 AM - Stephen Benjamin

- Related to deleted (Bug #3795: "Associate VM's" Doesn't Re-associate when compute resource changes)

#9 - 01/22/2014 08:27 AM - Stephen Benjamin

- Has duplicate Bug #3795: "Associate VM's" Doesn't Re-associate when compute resource changes added

#10 - 02/05/2014 08:58 AM - Dominic Cleal

- Has duplicate Bug #4252: Correctly handle when VM is migrated between datacenters added

#11 - 02/27/2014 05:15 PM - Benjamin Papillon

- Related to Feature #2049: Allow removal of host when not found in VCenter added

#12 - 04/28/2014 07:38 AM - Dominic Cleal

- Related to Feature #5464: Delete unamanged compute resource host without deleting the virtual machine. added

#13 - 05/14/2014 08:21 AM - Dominic Cleal

- Related to Bug #5707: disassociate is highlighted for physical host added
